Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.impl
Class UserTaskServiceEJBImpl

    java.lang.Object
      org.jbpm.kie.services.impl.UserTaskServiceImpl
          org.jbpm.services.ejb.impl.UserTaskServiceEJBImpl

All Implemented Interfaces:
  VariablesAware, UserTaskService, UserTaskServiceEJBLocal, UserTaskServiceEJBRemote

    public class UserTaskServiceEJBImpl

extends UserTaskServiceImpl
implements UserTaskService, UserTaskServiceEJBLocal, UserTaskServiceEJBRemote

Constructor Summary
`UserTaskServiceEJBImpl()`

Method Summary
`protected void` | `disposeRuntimeEngine(RuntimeManager manager, RuntimeEngine engine)`
`
`<T> T`
` | `process(T variables, ClassLoader cl)` Generic processing method that might be simply returning same instance of variables if no processing is required.
`void` | `setDataService(RuntimeDataService dataService)`
`void` | `setDeploymentService(DeploymentService deploymentService)`

Methods inherited from class org.jbpm.kie.services.impl.UserTaskServiceImpl
`activate, addAttachment, addComment, claim, complete, delegate, deleteAttachment, deleteComment, deleteContent, execute, execute, exit, fail, forward, getAttachmentById, getAttachmentContentById, getAttachmentsByTaskId, getCommentById, getCommentsByTaskId, getInternalTaskService, getRuntimeManager, getRuntimeManager, getTask, getTaskInputContentByTaskId, getTaskOutputContentByTaskId, nominate, release, resume, saveContent, setDescription, setExpirationDate, setName, setNonProcessScopedTaskService, setPriority, setSkipable, skip, start, stop, suspend`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.services.api.UserTaskService
`activate, addAttachment, addComment, claim, complete, delegate, deleteAttachment, deleteComment, deleteContent, execute, execute, exit, fail, forward, getAttachmentById, getAttachmentContentById, getAttachmentsByTaskId, getCommentById, getCommentsByTaskId, getTask, getTaskInputContentByTaskId, getTaskOutputContentByTaskId, nominate, release, resume, saveContent, setDescription, setExpirationDate, setName, setPriority, setSkipable, skip, start, stop, suspend`

Constructor Detail

### UserTaskServiceEJBImpl

    public UserTaskServiceEJBImpl()

Method Detail

### setDeploymentService

    public void setDeploymentService(DeploymentService deploymentService)

  Overrides:
    `setDeploymentService` in class `UserTaskServiceImpl`

### setDataService

    public void setDataService(RuntimeDataService dataService)

  Overrides:
    `setDataService` in class `UserTaskServiceImpl`

### process

    public <T> T process(T variables,
                         ClassLoader cl)

  Description copied from interface: `VariablesAware`
  Generic processing method that might be simply returning same instance of variables if no processing is required.

  Specified by:
    `process` in interface `VariablesAware`
  Overrides:
    `process` in class `UserTaskServiceImpl`
  Parameters:
    `variables` - object that holds varialble(s)
    `cl` - classloader that shall be used to operate on the variables e.g. project class loader
  Returns:

### disposeRuntimeEngine

    protected void disposeRuntimeEngine(RuntimeManager manager,
                                        RuntimeEngine engine)

  Overrides:
    `disposeRuntimeEngine` in class `UserTaskServiceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.